Create withdrawal request

Creates new withdrawal requests to be settled. Withdrawal requests created through the API go directly into an APPROVED state.
To retrieve withdrawal account IDs use the GET /withdrawals/digital_asset_addresses and GET /withdrawals/fiat_accounts endpoints.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Withdrawal request details including account ID, asset, amount, and destination information.

string

A unique identifier for the withdrawal, generally produced by the Platform on which the trade was executed
Note: this must be unique, per platform, per 24 hour period

string

The whitelisted withdrawal account or address to withdraw funds to
Note: only one of withdrawal_account_id, address or account{} can be submitted per withdrawal, but zerohash will always respond with withdrawal_account_id

string

The whitelisted withdrawal account or address to withdraw funds to
Note: only one of withdrawal_account_id, address or account{} can be submitted per withdrawal, but zerohash will always respond with withdrawal_account_id

account
object

The whitelisted withdrawal account or address to withdraw funds to
Note: only one of withdrawal_account_id, address or account{} can be submitted per withdrawal, but zerohash will always respond with withdrawal_account_id

string

The participant code against whom the withdrawal will be made

string

The identifier of the participant benefiting from the withdrawal request.

string

The identifier of the participant initiating the withdrawal on behalf of participant_code. Only applicable when operating on behalf of a third party.

string

The first name of the participant benefiting from the quote request
Only applies to individual beneficiaries. Cannot be used along with business_beneficiary_name.
Note: Redundant if beneficiary_participant_code is provided in request

string

The last name of the participant benefiting from the quote request
Only applies to individual beneficiaries. Cannot be used along with business_beneficiary_name.
Note: Redundant if beneficiary_participant_code is provided in request

string

The name of the the business participant benefiting from the quote request
Only applies to business beneficiaries. Cannot be used along with first/last_beneficiary_name.
Note: Redundant if beneficiary_participant_code is provided in request

string

The account group to withdraw against, e.g. 00SCXM for the Seed Digital Commodities Market account group

string

The account label associated with the account

string

The amount to withdraw

string
enum

The asset code for the withdrawal request, e.g. XRP.

Allowed:
string

The destination tag or memo ID associated with the transaction
If the asset is EOS, XLM or XRP and no_destination_tag is false, then this is required

boolean

Whether or not the specific withdrawal and destination address requires a destination tag.If the asset model is tag, this field is required
Note: zerohash requires that no_destination_tag be false for EOS.

string

Applicable only for ERC-20 tokens, the transaction fee payable on the Ethereum network - refer to our FAQ on how this works

string

Applicable only for smart contract executions on the Ethereum blockchain. This is the ABI encoding of the function and its arguments in RLP format.

string

If provided will apply the earlier agreed-upon network fee amount from the provided trade.

Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json